<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">

<html>

<head>

<title>Postfix Howtos and FAQs</title>

<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">
<link rel='stylesheet' type='text/css' href='postfix.css'>

</head>

<div id='left'>

<p> <img src="mysza.gif" width="130" height="91" alt="[LOGO]"> </p>

<p class='navhead'>QUICK LINKS</p>

    <p class='nav'><a href="start.html">Home</a> </p>

    <p class='nav'><a href="announcements.html">Announcements</a> </p>

    <p class='nav'><a href="non-english.html">Non-English Info</a> </p>

    <p class='nav'><a href="features.html">Feature overview </a> </p>

    <p class='nav'><a href="web-sites.html">Web sites (text)</a> </p>

    <p class='nav'><a href="download.html">Download (source)</a> </p>

    <p class='nav'><a href="lists.html">Mailing lists</a> </p>

    <p class='nav'><a href="press.html">Press and Interviews</a> </p>

    <p class='nav'><a href="documentation.html">Documentation</a> </p>

    <p class='nav'><a href="docs.html">Howtos and FAQs</a> </p>

    <p class='nav'><a href="addon.html">Add-on Software</a> </p>

    <p class='nav'><a href="packages.html">Packages and Ports</a> </p>

    <p class='nav'><a href="mirror.html">Becoming a mirror site</a> </p>

<p class='navhead'></p>

    <form method="get" action="http://www.google.com/search">
    <p class='nav'>
	<input size="-1" type="submit" value="Search"><br>

	<input type="text" name="q" size="16" maxlength="255" value=""> 
	<input type="hidden" name="sitesearch" value="www.postfix.org">
    </p>
    </form>

</div>

<div id='main'>

<h1>Postfix Howtos and FAQs</h1>

<p> To have information listed on this page, please send mail to
wietse@porcupine.org.  The information listed here is maintained
by the respective authors.  It is listed without formal evaluation,
in other words, no implied warranty of any kind. </p>

<strong>FAQs</strong>

<ul>

<li> Kyle Dent's <a href="http://www.seaglass.com/postfix/"> Postfix
resources</a>.

<li> Ralf Hildebrandt's <a
href="http://www.arschkrebs.de/postfix/"> Postfix
shrine</a>.

</ul>

<!--

<strong>PostfixWiki</strong>

<ul>

<li> Mischa Peters runs a <a
href="http://postfixwiki.org/">PostfixWiki</a>.

</ul>

-->

<strong>Training</strong>

<ul>

<li><a href="http://www.heinlein-support.de/web/akademie/kurse/postfix/">
Heinlein Linux Akademie</a> offers a five-day training course on
Postfix.

<li><a
href="http://www.it-schulungen.com/seminare/opensource/postfix/index.html">IT-Schulungen.com</a>
offers Postfix trainings from project experienced trainers, as well
as other open source technologies.

<li><a
href="http://www.gfu.net/seminare-schulungen-kurse/linux_sk57/mail-service_s559.html">GFU
It-Consult</a> offers Postfix workshops up to 4 times a year.

<li><a href="http://www.linuxhotel.de/">Linuxhotel</a> offers a
five-day training course on Postfix.

<li><a href="http://www.gurulabs.com/GL275.html">Guru Labs class
GL275</a> covers Postfix, email theory, DNS, SMTP Auth, STARTTLS,
SpamAssassin, POP3/IMAP4 daemons, and Webmail with Squirrelmail.

<li><a href="http://www.adeptech.com/training/courses/as220">
Adaptech Systems class AS220</a> is a two-day course on Postfix
and email security including a spam quarantine system that was
developed to work with Postfix.

</ul>

<strong>MS Exchange Integration</strong>

<p> The following documents describe how to build the list of valid
Exchange recipients for a Postfix 2.x "front end" MTA, so that you
don't clog the Postfix mail queue with undeliverable MAILER-DAEMON
messages. </p>

<ul>

<li><a href="http://www.unixwiz.net/techtips/postfix-exchange-users.html">
Running commands on the Exchange server</a> and then copying the
result to the Postfix box (by Steve Friedl).

<li><a href="http://www.umich.edu/~malth/gaptuning/postfix"> Running
a PERL-based LDAP client on the Postfix box</a> that queries the
Active Directory domain controllers (by Chris Covington).

</ul>

<strong>TLS</strong>

<ul>

<li><a href="http://postfix.state-of-mind.de/patrick.koetter/smtpauth/">
Postfix SASL Authentication and TLS</a> howto by Patrick Koetter.

<li><a href="http://www.homeport.org/~adam/starttls.html">Supplement</a>
to Patrick Koetter's document by Adam Shostack.

<li> <a href="http://souptonuts.sourceforge.net/postfix_tutorial.html">
Gmail on Home Linux Box using Postfix/TLS/SASL and Fetchmail</a>
howto by Mike Chirico.

<li><a href="http://www.posluns.com/guides/postfix_sasltls.html">
Postfix SASL + TLS + OpenBSD</a> howto by Jeffrey Posluns.

<li><a href="http://yocum.org/faqs/postfix-tls-sasl.html">
Postfix SASL + TLS + FreeBSD</a> howto by Tim Yocum.

</ul>

<strong>SASL</strong>

<ul>

<li><a href="http://postfix.state-of-mind.de/patrick.koetter/smtpauth/">
Postfix SASL Authentication and TLS</a> howto by Patrick Koetter.

<li> <a href="http://souptonuts.sourceforge.net/postfix_tutorial.html">
Gmail on Home Linux Box using Postfix/TLS/SASL and Fetchmail</a>
howto by Mike Chirico.

<li><a href="http://wispdirect.com/docs/sasl-howto.html">
Cyrus-SASL-2.1.19 + checkpw.c CRYPT PATCH + MySQL-3.23.x + 
Postfix-2.x</a> howto by Cody Tubbs.

<li><a href="http://www.posluns.com/guides/postfix_sasltls.html">
Postfix SASL + TLS + OpenBSD</a> howto by Jeffrey Posluns.

<li><a href="http://yocum.org/faqs/postfix-tls-sasl.html">
Postfix SASL + TLS + FreeBSD</a> howto by Tim Yocum.

<li><a href="http://linio.boo.pl/eng/ps.html">
Postfix SASL for Slackware</a> by Henryk Liniowski (Linio).

<li><a href="http://www.thecabal.org/~devin/postfix/smtp-auth.txt">
Postfix SMTP Authentication</a> howto by Devin L. Ganger.

<!-- gone 200504
<li><a href="http://www.mandrakesecure.net/en/docs/postfix-sasl.php">
Postfix + SASL</a> howto, useful for Mandrake and other systems.
-->

<!-- gone 200603
<li><a href="http://dudle.linuxroot.org/docs/postfix_cyrus/">Cyrus+SASL</a>
howto by <a href="http://dudle.linuxroot.org/">Haim R. Dimermanas</a>.
-->

<li><a href="http://www.unixpeople.com/HOWTO/postfix.solaris.html">
Postfix+SASL+OpenSSL</a> howto for Solaris 8 by Andy Barclay.

<!--

<li><a href="http://www.corebsd.or.id/cgi-bin/cvsweb/openbsd/mail/">
Postfix+Mysql</a> howto (Indonesian Language).

-->

</ul>

<strong>Adding disclaimers</strong>

<ul>

<li> <a href="http://www.pldaniels.com/altermime/">Altermime</a>
system to alter mime-encoded messages. With Postfix, use this as
an external content filter in order to mutilate transit mail.

</ul>

<strong>UCE/Virus</strong>

<ul>

<li><a href="http://www.gentoo.org/doc/en/mailfilter-guide.xml">
Gentoo mailfiltering gateway guide</a>

<li><a
href="http://www.freesoftwaremagazine.com/free_issues/issue_02/focus_spam_postfix/">
Filtering spam with Postfix </a> with spf, postgrey and Amavis by
Kirk Strauser.

<li><a
href="http://www.freesoftwaremagazine.com/free_issues/issue_02/focus_spam_dspam/">
How to get Dspam, Postfix, and Procmail to play well together</a>
by John Locke.

<li><a href="http://jimsun.linxnet.com/misc/postfix-anti-UCE.txt">
Postfix Anti-UCE Cheat-Sheet</a> by Jim Seymour.

<li><a href="http://www.mengwong.com/misc/postfix-uce-guide.txt">
My Understanding Of How UCE Actually Works</a> by Meng Wong.

<li><a href="http://www.flakshack.com/anti-spam/">Anti-SPAM Gateway
Using OpenBSD, Postfix, Amavisd-new, SpamAssassin, Razor and DCC</a>
by Scott Vintinner.

<li><a href="http://www.posluns.com/guides/postfix_uce.html">
Postfix UCE/anti-spam guide</a> by Jeffrey Posluns.

<li><a href="http://www.arschkrebs.de/postfix/">
UCE and other howtos</a> by Ralf Hildebrandt.

<li><a href="http://www.hispalinux.es/~data/postfix/">Header/body
junk mail patterns</a> by Jesus Climent.

<li>See also the <a href="addon.html#content">add-on software</a>
page for SpamAssassin etc.

</ul>

<strong>POP/IMAP</strong> and the kitchen sink

<ul>

<li><a href="http://www.gentoo.org/doc/en/virt-mail-howto.xml">
Gentoo Virtual Mailhosting System with Postfix Guide</a>

<li><a href="http://jth.net/virtual.html">GNU pop3d</a> howto
by J&oslash;rgen Thomsen.

<li><a
href="http://www.firstpr.com.au/web-mail/RH71-Postfix-Courier-Maildrop-IMAP/">
RedHat 7.1 + Postfix + Courier Maildrop + Courier IMAP</a> howto
by Robin Whittle.

<!-- gone 200603
<li><a href="http://dudle.linuxroot.org/docs/postfix_cyrus/">Cyrus+SASL</a>
howto by <a href="http://dudle.linuxroot.org/">Haim R. Dimermanas</a>.
-->

<li><a href="http://www.delouw.ch/linux/postfix.phtml">
Postfix+Cyrus+Web-cyradm</a> howto by Luc de Louw.

<li><a href="http://www.vriesman.tk/">
Postfix+LDAP+Courier-IMAP</a> howto by Jeroen Vriesman.

<li><a href="http://forums.bsdnexus.com/viewtopic.php?id=61">
Postfix+MySQL+Courier-IMAP</a> howto by Phil Pereira.

<li><a href="http://high5.net/howto/">
Postfix+MySQL+Courier-IMAP</a> howto by Mischa Peters.

<li><a href="http://kirb.insanegenius.net/postfix.html">
Postfix+MySQL+Courier-IMAP</a> howto by Kirby Menzel and Lucas Peet.

<li><a href="http://www.sweeney.demon.co.uk/pfix_imap_virtual.html">
Postfix+MySQL+Courier-IMAP</a> howto by Keith Matthews and
contributors.

<li><a href="http://www.phparchitecture.com/howto_show.php?id=2">
Postfix+MySQL+Courier-IMAP+Maildrop+SpamAssassin</a> howto by Serge
Stepanov.

<li><a href="http://workaround.org/ispmail/lenny">
Postfix+MySQL+Dovecot-POP/IMAP+Amavis</a> howto on Debian Lenny by
Christoph Haas.

<li><a href="http://www.marlow.dk/postfix/">
Postfix+MySQL+Courier-IMAP+Amavis</a> howto by Martin List-Petersen.

<!-- gone 200504
<li><a href="http://home.eray.biz/sites/postfix/">
Postfix+MySQL+Courier+Pop-before-SMTP+Amavisd-new+SpamAssassin+ClamAV
</a> howto for GNU/Linux by Ivar Abrahamsen
-->

<li><a href="http://www.postfixvirtual.net/">
Postfix+MySQL+Courier+SpamAssassin+Clamav+Amavisd-new+SASL+Maildrop+Squirrelmail
</a> howto by Genco Yilmaz. Uses the postfixmanager user
management tool.

</ul>

<strong>Miscellaneous</strong>

<ul>

<li><a href="http://advosys.ca/papers/postfix-instance.html">
Multiple Postfix instances</a> howto by Derrick Webber.

<li><a href="http://mjfrazer.org/~mjfrazer/postfix-rh73-laptop.html">
RedHat 7.3 laptop howto</a> by Mark Frazer.

<li><a href="http://www.arschkrebs.de/postfix/">
Postfix Howtos</a> by Ralf Hildebrandt.

<li><a href="http://home.pages.de/~mandree/postfix/"> Postfix
Howtos</a> by Matthias Andree.

<!-- dead 200504
<li><a href="http://kummefryser.dk/HOWTO/">
Virtual+mysql</a> howto by Daniel V. Pedersen.
-->

</ul>


<h3>General Email/System Administration</h3>

<ul>

<!-- gone 20030612
<li><a href="http://howto.tucows.com/LDP/LDP/lasg/lasg-www/servers/email/">
Tucows Linux:  Email servers tutorial</a> (howto.tucows.com)
-->

<li><a href="http://bind8nt.meiway.com/itsaDNSmess.cfm">Fixing common DNS problems</a> (bind8nt.meiway.com)

<li><a href="http://www.moongroup.com/mailhelp.phtml"> Simplifying
Mailer Daemons and Associated Tools</a> by Chuck S. Mead, Jr.

<li><a href="http://www.kegel.com/c10k.html">Configuring large-scale UNIX/Linux servers</a> (www.kegel.com)

<!-- gone 200504
<li><a href="http://uni.x-si.org/hamail.html">
HA mail system tutorial</a> by Damir Horvat.
-->

</ul>

</div>

</body>

</html>
